com.holonplatform.datastore.jdbc.composer.expression

## Interface SQLQuery

- All Superinterfaces:
    com.holonplatform.core.Expression, SQLStatement

      public interface SQLQuery
      extends SQLStatement

  SQL query expression.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SQLQuery` | `create(String sql, SQLResultConverter<?> resultConverter)` Create a new `SQLQuery`.
    `static SQLQuery` | `create(String sql, SQLResultConverter<?> resultConverter, SQLParameter<?>[] parameters)` Create a new `SQLQuery`.
    `SQLResultConverter<?>` | `getResultConverter()` Get the SQL result converter to be used with this query.

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.expression.SQLStatement

      `create, getParameters, getSql`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getResultConverter

          SQLResultConverter<?> getResultConverter()

      Get the SQL result converter to be used with this query.
      Returns:
        The query `SQLResultConverter`

    - #### create

          static SQLQuery create(String sql,
                                 SQLResultConverter<?> resultConverter,
                                 SQLParameter<?>[] parameters)

      Create a new `SQLQuery`.
      Parameters:
        `sql` - Query SQL statement (not null)
        `resultConverter` - Query result converter
        `parameters` - SQL statement parameters
      Returns:
        A new `SQLQuery`

    - #### create

          static SQLQuery create(String sql,
                                 SQLResultConverter<?> resultConverter)

      Create a new `SQLQuery`.
      Parameters:
        `sql` - Query SQL statement (not null)
        `resultConverter` - Query result converter
      Returns:
        A new `SQLQuery`

Copyright © 2019 The Holon Platform. All rights reserved.